Fresh chefdk 0.5.0-1 dmg on OSX 10.6.8 Illegal Instruction


#1

$ sv_vers
ProductName: Mac OS X
ProductVersion: 10.6.8
BuildVersion: 10K549

$ /opt/chefdk/embedded/bin/ruby
Illegal instruction

echo ?
132


#2

Your Mac OS is too old, we only support back to 10.8, as described here: https://github.com/chef/chef-rfc/blob/master/rfc021-platform-support-policy.md

Apple doesn’t really publish EOL notices for OS X versions, but the unofficial EOL is when they stop releasing security updates for Safari, which I believe has already happened for 10.6.


Daniel DeLeo

On Thursday, April 30, 2015 at 10:09 AM, Chris McClimans wrote:

$ sv_vers
ProductName: Mac OS X
ProductVersion: 10.6.8
BuildVersion: 10K549

$ /opt/chefdk/embedded/bin/ruby
Illegal instruction

echo ?
132